Subject: (NAT) RSIP traffic load

From: Shane Kerr <[email-masked]>
Date: Tue, 23 Nov 1999 15:00:36 -0800 (PST)

I changed the subject of this message.

--- Bernard Aboba <[email-masked]> wrote:
> Even in scenarios involving 100K users, it is hard
> to come up with scenarios
> in which you have more than a few RSIP
> transactions/second. For LAN users
> accessing the Internet, it can be expected that the
> host will remain
> connected for quite a while, perhaps for hours at a
> time. So the session
> time is quite long, even if most users are online at
> a time. For WAN
> users access the internal network, the session times
> are shorter, but
> only a few users tend to be on at a time.

In the RSIP protocol document, there's an option for
querying the RSIP server as to whether a given address
should be accessed via the RSIP protocol or directly
by the client.  I would fully expect for almost EVERY
connection to another host to contact the RSIP server
in this case, if only to determine whether RSIP is
required.

For my purposes I expect to focus on home network
users and/or small offices, who have both very limited
number of IP addresses (read: "one") and a smallish
pipe to the Internet.  With 100 Mbit/sec Ethernet
being so cheap, and even a measly 144 Kbit/sec
connection costing $100/month where I live, the
overhead of RSIP isn't a real issue.  I'm not saying
it isn't important, but it's not nearly as important
as putting together some working software.  In fact, I
anticipate my first runs at the code to be REALLY
REALLY inefficient, and have that probably be good
enough that I never need to update it.  :)

Shane Kerr
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com
-
To unsubscribe, email [email-masked]' with
'unsubscribe nat' in the body of the message.